<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.ricchieri</groupId>
        <artifactId>sir-parent</artifactId>
        <version>0.0.7.RELEASE</version>
    </parent>

    <groupId>com.ricchieri</groupId>
    <artifactId>sir-common</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>sir-common</name>
    <description>All the common logic related with SIR</description>
    <packaging>jar</packaging>

    <developers>
        <developer>
            <email>sacco.andres@gmail.com</email>
            <name>Andres Sacco</name>
            <id>sacco.andres</id>
        </developer>
    </developers>

    <scm>
        <connection>scm:git:https://gitlab.com/ricchieri/lib/sir-common.git</connection>
        <url>https://gitlab.com/ricchieri/lib/sir-common</url>
        <developerConnection>scm:git:https://gitlab.com/ricchieri/lib/sir-common.git</developerConnection>
        <tag>HEAD</tag>
    </scm>

    <properties>
        <uk.com.robust-it.version>1.9.12</uk.com.robust-it.version>
    </properties>

    <dependencies>

        <!-- Spring -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-tomcat</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jetty</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-webflux</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-cache</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- Caffeine -->
        <dependency>
            <groupId>com.github.ben-manes.caffeine</groupId>
            <artifactId>caffeine</artifactId>
        </dependency>

        <!-- Threads -->
        <dependency>
            <groupId>uk.com.robust-it</groupId>
            <artifactId>cloning</artifactId>
            <version>${uk.com.robust-it.version}</version>
        </dependency>

        <!-- Commons -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>

    </dependencies>
</project>